#include <iostream>

using namespace std;
string napraviString(int brojSlova, string slova){
    string resenje;
    for(int i = 0; i < brojSlova; i++) resenje += slova;
    return resenje;
}

int main()
{
    string slova;
    int a1, a2;
    cin >> slova >> a1 >> a2;

    string resenje = napraviString(min(a1, a2), slova);

    if (a1 == a2) cout << resenje;
    else if (a1 + 1 == a2) cout << resenje + slova[0];
    else if (a1 == a2 + 1) cout << slova[1] + resenje;
    else cout << "nemoguce";
}